Bug 433670 - bootstrap ghc on ia64
bootstrap ghc on ia64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ghc (Show other bugs)
9
ia64 Linux
low Severity low
: ---
: ---
Assigned To: George Beshers
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2008-02-20 14:30 EST by Doug Chapman
Modified: 2009-07-14 11:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:20:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2008-02-20 14:30:48 EST
Description of problem:

More of a "to-do" than a bug.  Adding this BZ for tracking purposes.  The ghc
compiler is written in ghc itself so needs to be bootstrapped on ia64.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jens Petersen 2008-02-20 21:14:02 EST
At least Debian has a package for ia64 so it might be possible.
http://packages.debian.org/sid/ghc6
Comment 2 George Beshers 2008-02-21 12:22:13 EST
Debian package had a different glibc which cause a headache, but
I have this working on altix6 (compiler compiles the compiler).
Have not worked on the libraries yet.

Comment 3 George Beshers 2008-04-21 15:19:46 EDT
Update.

Doing this correctly has turned out to be a significant task.

Basically, there are two ways of generating code --- one is
to generate portable C and compile that.  The other is to
generate less portable C, use gcc to get assembler, and then
use the "evil mangler" (their term:-/) to re-arrange code.
Of course there is a factor of 2 in performance between
the first and the second.

Also, more to the point, I think the ghci (interpreted version)
are related to the above process.

George
Comment 4 Jens Petersen 2008-04-23 01:39:04 EDT
(In reply to comment #3)
> Basically, there are two ways of generating code --- one is
> to generate portable C and compile that.  The other is to
> generate less portable C, use gcc to get assembler, and then
> use the "evil mangler" (their term:-/) to re-arrange code.
> Of course there is a factor of 2 in performance between
> the first and the second.

What does Debian use?  I think we would be happy just to have a build really?
Comment 5 Bug Zapper 2008-05-14 01:18:28 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bryan O'Sullivan 2008-05-28 16:32:07 EDT
Lowering priority due to improbability of ever being addressed.
Comment 7 Jens Petersen 2008-11-09 21:28:20 EST
Debian also has an ia64 build of ghc-6.8.2.

(In reply to comment #3)
> Basically, there are two ways of generating code --- one is
> to generate portable C and compile that.  The other is to
> generate less portable C, use gcc to get assembler, and then
> use the "evil mangler" (their term:-/) to re-arrange code.
> Of course there is a factor of 2 in performance between
> the first and the second.

Basically it is just for bootstrapping so speed is not really an issue:
once the compiler is built of ia64 it should be able to build itself again natively.
Comment 8 Bug Zapper 2009-06-09 19:36:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 11:20:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.